pack_fputs(3)

NAME
pack_fputs - Writes a string to the stream. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int pack_fputs(const char *p, PACKFILE *f);

DESCRIPTION
Writes a string to the stream `f'. The input string is converted from the current text encoding format to UTF-8 before writing. Newline characters are written as `\r\n' on DOS and Windows platforms. If you don't want this behaviour, use pack_fwrite() and/or pack_putc() instead.

RETURN VALUE
Returns zero on success or a negative number on error.

SEE ALSO
pack_fopen(3), pack_fopen_chunk(3), pack_fwrite(3), pack_putc(3)